[02-04-2015] Total Updater 0.8.6.9
* New: Portuguese language support (thanks to Dick Spade)
* Fixed: bug caused by incorrect compile of the version detection lib, recompiled+fixed

[29-03-2015] Total Updater 0.8.6.8
* New: Slovenian language support (thanks to Jadran Rudec)
* New: Added new command line parameter "/autostartinstall" - by running TU with this parameter, the updatable items are downloaded and updated automatically
* New: the OpenSSL dll files are detected automatically in TC's folder as well, in case they can be found there (or you can still just put them in the utility's dir ofc)
* Change: added 4 new items to the Internal Plugin Database (plus updated a lot of outdated data)
* Change: added 2 new items to the checksum database
* Change: updated TpAbbrevia packer to the latest available (5.2) version
* Change: updated Indy to the latest available (10.6.0.5256) version
* Fixed: error "no internet connection" caused by incorrect handling of server redirection (induced by new totalcmd.net server)
* Fixed: set the download button's caption to "Update the marked items" in case the "Install the packages after successful download" checkbox is checked

[04-01-2014] Total Updater 0.8.6.7
* New: Updated Ukrainian language (thanks to LonerD (Pavlo Dergunov))
* Change: some 64-bit compatibility related fixes
* Fixed: the version of TC cannot be detected properly using intelligent method in case TC has been started with full elevated rights
* Fixed: try to create the Download directory set in the "TotalUpdater.ini" first ("DownloadDir"), then fall back to default user dl path
* Fixed: do not delete the empty download directory by default, only if it has been created by the utility itself

[18-12-2013] Total Updater 0.8.6.6
* New: Updated Slovak language (thanks to umbra)

[16-12-2013] Total Updater 0.8.6.5
* Fixed: problem with some unicode characters when setting download directory (bug introduced in 0.8.6)
* Fixed: problem with some unicode characters when loading wincmd.ini from user-given directory
* Fixed: recount the number of updatable items after successful update process
* Fixed: do not call "cm_UnloadPlugins" when updating 3rd party executables (except "QuickSearch Extended" and similar tools)
* Fixed: always use UTF-8 charset as encoding when saving "TotalUpdater.ini"
* Fixed: some other minor issues

[12-12-2013] Total Updater 0.8.6.4
* Change: updated Indy to the latest available (10.6.0.5076) version
* Change: added %s parameter to "iNetError_01" string of every language
* Fixed: show appropriate error message if one of the hosts is not available

[09-12-2013] Total Updater 0.8.6.3
* New: Support for SOCKS4 & SOCKS5 proxy types
* New: You can manually set [Configuration] ProxyType=1 or 2 to set the default proxy type to SOCKS4 (type: 1) or SOCKS5 (type: 2) [default: 0 = http proxy]
* Change: updated Indy to the latest available (10.6.0.5074) version
* Change: readme.txt file has been updated
* Fixed: do not add "TOTALCMD64.exe" file to the list of exclusions (just mark "Do not detect & search updates of TC" instead)

[08-12-2013] Total Updater 0.8.6.2
* Fixed: a problem causing sourceforge.net links could not be downloaded using internal download function

[04-12-2013] Total Updater 0.8.6.1
* Change: enhanced intelligent version detection: added "*change*" file(s) to search & check for version information (e.g. "CadView" plugin)
* Change: added 1 new item to the Internal Plugin Database
* Change: added 3 new items to the checksum database
* Fixed: one more 'cannot focus a disabled or invisible window' error when "/autostart" parameter is set and "PrcMsgOnLoad=True" has also been defined in TotalUpdater.ini

[03-12-2013] Total Updater 0.8.6
* New: Handle one more well-known upload service to download files from: solidfiles.com
* Change: updated CRC32 hash algorithm which is now much faster (written in assembly)
* Change: enhanced html URL parser function to be more universal
* Change: added 1 new item to the Internal Plugin Database
* Fixed: detection of Total Commander could accidentally get disabled when excluding single items from the list
* Fixed: the main application window kept being in the background after successful database or Total Commander update confirmation dialog appeared
* Fixed: cannot focus a disabled or invisible window error while changing custom path to wincmd.ini on Configuration tab
* Fixed: filename is now properly decoded before saving

[30-11-2013] Total Updater 0.8.5
* New: Support downloading files directly from SkyDrive (live.com)
* New: Handle a well-known upload service to download files from: rghost.net (more may come in the future...)
* New: Localized Total Commander description for Czech, Slovak and Lithuanian languages as well
* New: Added new command line parameter "/safe" - run Total Updater in a special safe mode if you encounter any problem in normal mode (see details below)
  [the following functions are temporarily disabled in safe mode: 3rd party tool detection, intelligent version detection (plugins only), blocking of GUI refresh while initializing the list of plugins, installing updates]
* New: Added new command line parameter "/strictver" - do not treat latest compile / modification date as a version number (feature introduced in 0.7B9 - see "TreatDateAsVer" below / check readme.txt for more info)
* New: Added new command line parameter "/notc" - do not try to detect & update the current Total Commander instance at all
* Change: updated Indy to the latest available (10.6.0.5072) version
* Change: updated DSiWin32 library to the latest (1.72e) version
* Change: somewhat faster loading of the plugin list by saving & pre-loading the path of the version container text files from upluginfo.ini
* Change: only check for other variations after searching for version container file with the same filename as the actual plugin
* Change: check rights and try to create unavailable download directory automatically before the download process begins
* Change: make the actual item visible when initializing plugin list using PrcMsgOnLoad=True / SAFE mode
* Change: much smoother download experience (check http response code before updating progress bar)
* Change: using much stable function for URL conversion/comparement specific operations
* Change: code cleanups & optimizations, removed obsolete units
* Change: readme.txt file has been updated (new command line parameters)
* Change: added 1 new item to the Internal Plugin Database
* Change: added 2 new items to the checksum database
* Fixed: try to handle incorrect "pluginbasedir" value of wincmd.ini (autoskip external directories inside totalcmd main folder if their path contains at least one of the "\wcx", "\wdx", "\wfx" or "\wlx" subfolders)
* Fixed: do not auto-search for executables (3rd party tools) when TC executable can be found on the root of the system drive
* Fixed: error when portable Total Commander is used and theres absolutely no related keys in registry / no specific directory on drive
* Fixed: improper expanding of environment variables could led to ignored "SecondaryPlgDir" key (in case it contained absolute path)
* Fixed: call the internal download method on clicking DirectLink button of Infobox when it contains a "$NUM" string (totalcmd.pl)
* Fixed: added an extra check to make sure updatable items are never updated in case the user has chosen download only option
* Fixed: error when querying the checksum database if the Internal Plugin Database is turned off
* Fixed: the path of the active "wincmd.ini" didn't get updated on reloading the configuration of Total Updater (Ctrl + R / F5)
* Fixed: progress bar could stuck in a loading state even if TU finished the initialization progress
* Fixed: refresh the number of updatable items after grabbing latest TC version and its newer than the local one
* Fixed: disable main GUI functions while the application is initializing and PrcMsgOnLoad=True has been set
* Fixed: never enable the "Download the marked items" button while the app is searching for updates
* Fixed: list index out of bounds when clicking on item info button in case no item exists in the list
* Fixed: no more blinking Addon Info dialog after opening it (Alt + Enter / double-click on an item)
* Fixed: restore the last selection of the plugin list only if a new one hasn't been made since
* Fixed: disable Ctrl + I hotkey (reinstall/update) while downloading is still in progress
* Fixed: several bugs have been addressed to handle portable TC as fine as possible
* Fixed: there could be cases when a downloaded file was not free'd correctly
* Fixed: it kept showing %s on the Configuration tab when "wincmd.ini" file could not be found
* Fixed: reset filter on switching language runtime & reactivate "All items" option

[13-11-2013] Total Updater 0.8.4.3
* Change: updated Indy to the latest available (10.6.0.5069) version
* Fixed: better handling of multiple Total Commander instances running while installing a new one
* Fixed: use SendMessageTimeOut instead of PostMessage when sending "cm_Exit" command to TC
* Fixed: some minor issues...

[12-11-2013] Total Updater 0.8.4.2
* Change: updated Indy to the latest available (10.6.0.5067) version
* Change: readme.txt has been updated (includes information about the command line parameters)
* Fixed: clicking on "Download the marked items" had no effect when the active tab was different than "Update"
* Fixed: show a "Total Commander cannot be found" error dialog in case TC cannot be detected properly
* Fixed: application could still hang if TC's main directory doesn't exists

[28-10-2013] Total Updater 0.8.4.1
* New: Updated Russian language [corrections] (thanks to Avada)
* Change: updated TpAbbrevia packer to the latest available (5.1) version
* Change: never check online date for the TotalUpdater.exe itself
* Fixed: a critical bug causing all of the updatable plugins marked as latest even if no overwrite occurs (bug introduced in 0.8.3 - it is recommended to clear your "OverridePlugVer" section inside "TotalUpdater.ini")
* Fixed: do not create empty zip backup packages (in case non-binary files cannot be found in the directory of the plugin being updated)
* Fixed: the application hangs when Total Commander can't be found at all (not being run from inside totalcmd.exe & TC is only being used portable)

[26-10-2013] Total Updater 0.8.3
* New: Updated Dutch language (thanks to J. Kramer)
* New: Updated French language (thanks to TieFighter)
* New: Added handling of cases when a plugin belongs to more categories of which neither matches its current extension type ("ForcePlugType" IPD key)
* New: Added handling of special key modifier "OverrideUserVal" to checksumdb, with which some especially rare cases of incorrect detection can be fixed (when the [compile] date difference is only 1 day between the local and the latest online version [see "PubDateDiffCorr" key in readme.txt])
* New: You can manually set [Configuration] PreInstallAction=2 to create a backup before overwriting the original files of an addon/plugin (default: 0; 1: create backup which includes all files; 2: create backup only including text [non-binary] files)
* Change: updated Indy to the latest available (10.6.0.5066) version
* Change: pressing Ctrl + S triggers changing current tab to "Update" if its not active yet
* Change: check for "UseNewDefFont" key in wincmd.ini (switch to the new default font in case its value is "1" and "FontName" key is null)
* Change: readme.txt has been updated (includes new configuration keys & contains some corrections)
* Change: added 30 new items to the Internal Plugin Database
* Change: added 8 new items to the checksum database
* Fixed: save the checksum value of the updated file to the "OverridePlugVer" section of "TotalUpdater.ini" in case its version still remained the same after a successful update (to correct its local version number)
* Fixed: disable "Send to IDM" popup item when DirectLink contains a special "$NUM" variable (for downloading from totalcmd.pl, where "NUM" is the ID of a package) [previous fix didn't work in case the WebID was also filled]
* Fixed: add the filename in a bracket after an item in the list only in case its filename differs from the packagename
* Fixed: get the proper version number of TC from window caption (x64) [intelligent detection needs to be turned on]
* Fixed: the Total Commander item didn't get removed from the list in case of excluding it
* Fixed: a possible problem with SFX RAR files having unicode characters in their filename
* Fixed: other minor things...

[16-10-2013] Total Updater 0.8.2
* New: Updated Russian language [corrections] (thanks to Avada)
* Change: some code cleanup has been performed
* Change: added 15 new items to the Internal Plugin Database
* Change: added 7 new items to the checksum database
* Fixed: 64-bit plugins weren't always correctly loaded into the list in case "Load all files from the plugins directory" option was set
* Fixed: the current file being downloaded was not always properly cancelled on aborting the task
* Fixed: create the "Select TC package" dialog dynamically, just as the other forms
* Fixed: incorrect action resulting in "Cannot open file %s" error after pressing Alt + Enter on "tcplugindb" or "checksumdb" item
* Fixed: no more flickering when pressing Ctrl + S for the second time (if a search string has already been set)
* Fixed: author URL button was not correctly positioned when resizing Internal Plugin Database dialog
* Fixed: expand the environment variables in the "DownloadDir" key properly (the installation sometimes didn't work)
* Fixed: the vertical position of checksum box was incorrect in case the new font is active (Addon Info dialog)
* Fixed: apply the new "Segoe UI Semibold" only in case the font exists for sure

[08-10-2013] Total Updater 0.8.1
* New: Updated Chinese Simplified language (thanks to FeiXJ)
* New: Updated Danish language (thanks to petermad)
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated German language (thanks to Gerby)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: Updated Polish language (thanks to Maciej Bojakowski)
* New: Updated Russian language (thanks to Avada)
* New: Updated Slovak language (thanks to umbra)
* New: Updated Spanish language (thanks to Patxiku)
* New: Updated Swedish language (thanks to Trast)
* New: Updated Ukrainian language (thanks to LonerD (Pavlo Dergunov))
* New: Enhanced detection of local plugin versions by adding an optional "VersionFile" DB config parameter (now TU is capable of grabbing proper local version of "SynWrite" along others)
* New: You can manually set "[PluginName.ext]VersionFile=name_of_history_file.ext" in "userdb.ini" to force reading the version of a plugin from a given text file (intelligent detection needs to be turned on)
* Change: updated Indy to the latest available (10.6.0.5063) version
* Change: somewhat redesigned Addon Info dialog: showing title, version, MD5/CRC32 values (click on it to switch) and plugin icon (if "ShowPlugIcons" is not set to False) [more to come soon...]
* Change: show the number of items belonging to a category beside the filter radiobuttons on the bottom of the main form
* Change: use "Segoe UI Semibold" on Windows Vista or newer as the font style of the description below the logo
* Change: switch every font to "Segoe UI Semibold" on Windows Vista or newer if it is the font being used for TC
* Change: in case the "DownloadDir" exists and is writable, set it as the default "TempDirectory" (one-time only)
* Change: improved online package detection algorithm in case of files with underline characters
* Change: remove the temporary directory on exit if exists & its empty
* Change: added more than 80 working author URLs to the Internal Plugin Database
* Change: added 3 new items to the Internal Plugin Database
* Change: added 1 new item to the checksum database
* Fixed: download the corresponding x64/x86 package of a given plugin (now it should work properly in all cases)
* Fixed: incorrect right click popup caption showing "Save UserDB entry" instead of "Modify database entry" (in case it was saved with extension) [B3 fix was not complete]
* Fixed: do not show warning message about nonexistent temporary directory if the user only chose to download some packages (without installing one)
* Fixed: create temporary dir only when "Install packages after download" option is set and there are updatable items in the download-list
* Fixed: an Access Violation when clicking on "Visit online site" button in the Addon Info dialog when the list is filtered
* Fixed: set the filter radiobuttons width on the bottom of the main form to match the current width of the window
* Fixed: bracket sign didn't get cut out of the corrected "ProductName" field if it was the last character
* Fixed: auto-select the content of the search editbox when pressing Ctrl + S if it has already been set before
* Fixed: search expression wasn't re-activated on pressing Ctrl + S if it has already been set before
* Fixed: null the current search string after pressing ESC while being in search view
* Fixed: horizontal position of the language selector popup could sometimes be wrong
* Fixed: set focus back on the plugin list after clicking on one of the filters
* Fixed: the version history box lost its focus after right clicking on it
* Fixed: some language-related problems and fixes of the search/filter function

[04-10-2013] Total Updater 0.8 Beta 9
* New: Hotkey support F1 - jump to the readme.txt file & open in Lister if it can be found in the utility's directory
* Change: added checksum values of main Total Commander releases back until version 5.5 (where it actually became TC thanks to M$ :))
* Change: added 9 new items to the Internal Plugin Database
* Change: added 1 new item to the checksum database
* Fixed: improved version compare algorithm - support any decimal places at the end of the version string after special (e.g. "ß") sign
* Fixed: download the corresponding x64/x86 package of a given plugin (choose the appropriate one based on current extension & available online packages)
* Fixed: wait until Total Commander restarts in case of a successful update & only refresh the current version of TC after it has loaded
* Fixed: substract the additional Total Commander-related helper entry from the number of DB items (Internal Plugin Database)
* Fixed: align the horizontal position of the filter radiobuttons (they should start at the edge of the columns)
* Fixed: disable the "Reinstall / Update" popup option in case only a single item is selected and the file doesn't exists
* Fixed: do not auto-refresh/reload the list right after the searching for updates has finished when the "All" filter option is set
* Fixed: the "Search for updates" button was sometimes accidentally re-enabled while querying was still in progress (only using proxy)
* Fixed: remember the size of the window when it is resized while being on Configuration tab (bug introduced in B4)
* Fixed: proxy authentication (username & password) was not correctly activated
* Fixed: queried data being nulled in case of a proxy error
* Fixed: do not save 0 byte "userdb.ini" file & remove if exists

[01-10-2013] Total Updater 0.8 Beta 8
* New: From now on you can filter the plugin list by their current state to show: All / Unknown / Updatable items only (the chosen option is going to be remembered)
* New: Added Total Commander package selector dialog when downloading TC (you can choose between unified installer [x86+x64] / x86-only / x64-only package)
* New: Ability to manually install selected items in the Download dialog after download task finished (just right click and choose "Reinstall / Update" popup option)
* New: Hotkey support Ctrl + I - download & install selected files [works even in Download dialog] (overriding the current "Install the packages after successful download" config option)
* New: Hotkey support Ctrl + J - Download dialog - jump to the currently active download directory
* New: You can manually set [Plugins] ExcludeInstFiles=txt,inf,lst,...,etc to add file(type)s which you would like to exclude when installing a new package
* New: You can manually set [Total Commander] ExcludeInstFiles=txt,inf,lst,...,etc to add file(type)s which you would like to exclude when installing TC
* New: You can manually set [Total Commander] DownloadPackage=1 to force downloading the 32-bit only installer (2 = 64 bit only; 0 = 32+64bit [unified installer])
* New: You can manually set [Configuration] PostInstallAction=4 to remove the 64-bit version of the installed plugin (if exists) (see the readme.txt for more options)
* New: You can manually set [Configuration] HttpTimeOut (in milliseconds) to set the connection timeout value to a user-defined one (default: 7000)
* Change: updated Indy to the latest available (10.6.0.5061) version
* Change: improved and quicker search feature of the plugin list (Ctrl + S)
* Change: from now on you can even search for filenames in the plugin list
* Change: auto-start the search for updates after upgrading to a new version of Total Updater
* Change: increased default connect & readtimeout to 7000 ms (some proxy needs more time to establish connection with the server)
* Change: save portable "TempDirectory" key by default to the "TotalUpdater.ini" file instead the one with expanded environment variables
* Change: reduced the minimal height of Download dialog and set its default vertical position a little below the center of the screen, so the user can see the items being updated
* Change: readme.txt has been updated (added info about the new ini entries, added missing information about the default values of some entries)
* Change: added new translation strings to the ENG language file
* Change: added 8 new items to the Internal Plugin Database
* Change: added 5 new items to the checksum database
* Fixed: do not prompt to close Total Updater in case the updated executable is not the currently running instance
* Fixed: prepared to be able to update "QuickSearch Extended" as well (TC needs to be closed for the task)
* Fixed: always catch the appropriate Total Commander changelog file (stable <> beta) from ghisler.com when viewing in Addon Info dialog
* Fixed: remove last character from the online name of a plugin if it ends with "-" char (e.g. in case its name field contains "PluginName - v1.0")
* Fixed: show an error dialog in case the Addon Info dialog could not be opened because of an internet connection error
* Fixed: the "Search for updates" button didn't get enabled once after it has been disabled because of empty plugin list
* Fixed: update the state of a plugin or addon after installing its update when we are in search / filtered view
* Fixed: jump to file failed when a path contained environment variable(s) [only the Download dialog is affected]
* Fixed: the download directory wasn't accepted in case it contained environment variable(s)
* Fixed: some minor GUI related things

[24-09-2013] Total Updater 0.8 Beta 7
* New: Localized Total Commander description is now available for each internal language
* New: Added "Jump to Downloads" button to the Download dialog with which you can jump directly to the download directory in TC (by opening new tab)
* New: Added "Jump to the file..." item to the bottom of right-click popup menu of the Download dialog (Ctrl + PageDown & Ctrl + Up are already supported)
* New: Show a one-time-only messagebox in case the Configuration did change but the plugin list hasn't been reloaded yet
* New: You can manually set [GUI] ShowMenuShortcuts=False to disable showing the shortcuts in the popup menus
* Change: updated Indy to the latest available (10.6.0.5060) version
* Change: automatically restart Total Updater after successful upgrade
* Change: improved & more flexible "Jump to the file" method
* Change: switch screen cursor to hourglass while requesting an item's online information (Addon Info)
* Change: catch the latest history file from ghisler.com when viewing details of Total Commander in the "Addon Info" dialog (Alt + Enter)
* Change: always jump to the actual item being updated in the plugin list when the Download dialog is active
* Change: show the most important hotkeys in the main plugin list popup by default (you can manually disable it, see "ShowMenuShortcuts" above)
* Change: the Ctrl + PageDown hotkey now works in Download dialog even if multiple items are selected
* Change: added Author URL button to the Internal Plugin Database dialog
* Change: added hint for the "reload" link-like label on the Configuration tab
* Change: hotkey support Ctrl + Shift + W [revised] - visit the current item's website if it exists (previously: Ctrl + Shift + Enter; no longer supported)
* Change: hotkey support Ctrl + Shift + A [revised] - visit the current item author's website if it exists (previously: Ctrl + Shift + W; no longer supported)
* Change: readme.txt has been updated (added info about the new ini entries, corrected information of some existing hotkeys)
* Change: added new translation strings to the ENG language file
* Change: added 10 new items to the Internal Plugin Database & added author url to some existing
* Change: added 2 new items to the checksum database & added CRC32 value of all the previously released sFTP (by C. Ghisler) versions & some main TC versions
* Fixed: the "database.dat" file wasn't loaded correctly when using the Internal Plugin Database dialog (it didn't affect the detection functionality though)
* Fixed: missing directories weren't created properly on installing Total Commander or its plugins
* Fixed: get the active language of TC and overwrite the corresponding help files (totalcmd.chm, keyboard.txt, register.rtf) when installing it
* Fixed: error message after installing Total Commander properly, because the folder wasn't available for its help files (though its not even needed)
* Fixed: the Addon Info dialog can now be closed using ESC anytime (previously the focus & the keydown actions has been stolen by the webbrowser)
* Fixed: set itemindex to zero when pressing Ctrl + Up / Ctrl + PageDown with no items having selected (Download dialog)
* Fixed: hotkey Ctrl + PageDown changed the path of the previous tab too beside opening a new one (only when a single item was selected)
* Fixed: Access Violation in the Download dialog when the user pressed Ctrl + Up / Ctrl + PageDown without any actual selection
* Fixed: corrected text of error message when file(s) can not be (over)written while updating a plugin
* Fixed: it was allowed to resize the Configuration dialog below its current minimal height (586px)
* Fixed: some minor bugs

[18-09-2013] Total Updater 0.8 Beta 6
* New: Updated Chinese Simplified language [correction] (thanks to FeiXJ)
* New: Updated Polish language [correction] (thanks to krasusczak)
* New: Updated Slovak language (thanks to umbra)
* New: Hotkey support Ctrl + PageDown for Download dialog as well - jump to the currently selected item(s) (redirected to Total Commander)
* New: Hotkey support Ctrl + Up for Download dialog as well - jump to the currently selected item(s) by opening new tab (redirected to TC)
* New: You can manually set [Configuration] PostInstallAction=0/1/2 (0: do nothing; 1: remove the dl'ed package; 2: remove the pluginst.inf in the installdir; 3 (sum of 1+2): remove the dl'ed package and the pluginst.inf
* New: You can manually set [GUI] AlwaysSavePos=True to force TU always save its latest window position on exit, instead only when quitting while pressing Ctrl button
* Change: updated Indy to the latest available (10.6.0.5059) version
* Change: always update the name of a given package to its latest online one if its author has changed it in the meantime
* Change: put the filename (without extension) in bracket after the name of a plugin in case its a duplicate entry in the list
* Change: automatically move "TotalUpdater.ini" beside "wincmd.ini" if the key "UseIniInTCDir=True" has been previously set in the config file
* Change: the Author URL popup option on the Update tab is now visible in case multiple items are selected and an author url is associated for at least one of them
* Change: increased max length of ProductName to 64 (to show the correct name of some problematic plugins)
* Change: readme.txt has been updated (added info about the new ini entries)
* Change: added 30 new items to the Internal Plugin Database & modified some existing
* Change: added 20 new items to the checksum database
* Fixed: never display the currently running instance of TU in the "Other addons" section (duplicate entry)
* Fixed: send the proper Total Commander link to IDM after a search of updates has been initiated (otherwise fall back to the original file & use totalcmd.net)
* Fixed: show error dialog(s) only after the end of download process (e.g. no write access, etc)
* Fixed: open all of the selected links in the Download dialog instead of the single focused one
* Fixed: disable "Send to IDM" popup item when DirectLink contains a special "$NUM" variable (for downloading from totalcmd.pl, where "NUM" is the ID of a package)
* Fixed: allow to click on Author link in the Download dialog in case multiple items are selected, and an author url is associated for at least one of them
* Fixed: disable the Author URL & WebID buttons in case their field is empty (UserDB & IPD dialogs)
* Fixed: do not scroll through the plugin list if the host cannot be found
* Fixed: set current search string to null after refreshing plugin list
* Fixed: check the validity of all the urls before sending them to IDM
* Fixed: some other bugs of the download & installation process...

[13-09-2013] Total Updater 0.8 Beta 5
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated Swedish language (thanks to Trast)
* Change: automatically run Total Commander after successful update
* Change: reload the plugin list after DB update only after the user has closed the download dialog
* Change: added 2 new items to the Internal Plugin Database
* Change: added 2 new items to the checksum database
* Fixed: self-updating is now ready & working (admin rights may be needed)
* Fixed: updating Total Commander itself is now working (admin rights may be needed)
* Fixed: the "Download the latest version" button (IPD) led to wrong file in some cases
* Fixed: compare error in the Internal Plugin Database (internet version was always newer)
* Fixed: faster scroll of the main plugin list when searching for updates
* Fixed: the main progress bar didn't refresh properly (incorrect item counting)
* Fixed: a possible AV error in the Download dialog when querying latest TC download links
* Fixed: recount the marked items after installing Total Commander update
* Fixed: a messagebox was accidentally kept in the code of Beta 4 (for debug reasons)
* Fixed: never save the running instance of TU to the ExceptionList section & ignore if exists
* Fixed: application main form height was improper on first run (with clean ini)
* Fixed: sometimes the main window of Total Updater haven't got the focus after start
* Fixed: disable "Send to IDM" popup item when WebID or DirectLink is not available
* Fixed: some other issues...

[11-09-2013] Total Updater 0.8 Beta 4
* New: Updated Chinese Simplified language support (thanks to FeiXJ)
* New: Updated Danish language (thanks to petermad)
* New: Updated German language (thanks to Gerby)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: From now on TU is able to update the existing Total Commander installation as well
* New: From now on you can also refresh the local version number of Total Commander (F2)
* New: You can manually set [GUI] ScrollOnUpdCheck=False if you'd like to disable the new feature which automatically scrolls the plugin list on searching for updates
* New: You can manually set [Configuration] ForceUseExtDB=True to always load the external "database.dat" DB file (if it exists)
* New: You can manually set [Total Commander] DevCompareMethod=True to use the old TC compare method (PB > B) [e.g. in case you are a beta tester of TC]
* Change: updated Indy to the latest available (10.6.0.5056) version
* Change: compare the internal & external "database.dat" file (if exists) to always load the latest one
* Change: modified TC version weight comparison: BETA now equals PUBLIC BETA (you cannot have a beta unless its public) [see "DevCompareMethod" above]
* Change: faster refresh of the plugin list after successful installation(s)
* Change: replaced icon of "Marked items" popup menu entry to make it less ambiguous
* Change: smoother update of the main plugin update progress bar & plugin list after clicking on "Search for updates"
* Change: scroll the plugin list while checking for latest updates (optional, see the "[GUI] ScrollOnUpdCheck" above to turn it off)
* Change: readme.txt has been updated & tidied up a bit (added section "Prerequisites" for downloading over SSL)
* Change: added 6 new items to the Internal Plugin Database & modified some existing
* Change: added 11 new items to the checksum database
* Fixed: install plugin update only when its showed in the plugin list as updatable
* Fixed: incorrect local TC version in case TC is not running / TU could not get the version from caption (if intelligent detection is set)
* Fixed: refresh the local Total Commander version on refreshing the whole Total Updater plugin list (Ctrl + R / F5)
* Fixed: by checking "Disable the automatic detection of all kind of plugins" TU's running instance was also excluded from the list
* Fixed: clicking on "Exclude from list" -> "File" was possible when current instance of TU was selected
* Fixed: the Total Commander accidentally got excluded on excluding TU from the list (which should've be forbidden)
* Fixed: save the "database.dat" file beside "TotalUpdater.ini" & load it from this place instead of the application directory
* Fixed: the "Visit online site..." popup option didn't work properly since Beta 2 in case multiple items were selected
* Fixed: downloading from skydrive is not possible yet, still TU showed these downloads as successful ones
* Fixed: reduced MinHeight a bit, so TU can now fit on smaller screens too (except the Configuration tab, which needs to be reorganized)
* Fixed: irrelevant file "hxd.exe" is now automatically ignored from the 3rd party addon list
* Fixed: jump to the latest selected item in the plugin list after searching for updates
* Fixed: an issue that could cause incorrect Addon Info dialog caption in rare cases
* Fixed: do not allow to send the Internal Plugin Database to download manager(s)

[04-09-2013] Total Updater 0.8 Beta 3
* New: Readme file is now ready & available
* New: Total Updater is now able to install the downloaded plugins (experimental - may need admin rights)
* New: Total Updater is now able to update its own Internal Plugin Database & checksum database runtime
* New: Support of PKZip, Microsoft CAB, tar, gzip, bzip2, zlib and RAR compression formats
* New: Try to load the "UNRAR.DLL" from Total Commander's main directory for the rar unpacker to work
* New: You can put "UNRAR.DLL" to Total Updater's main folder in case it can't be found elsewhere
* New: Detection of even more plugin updates by adding the optional "ForceLatestVer" DB config parameter
* New: Added some new updates to the database: "AviWcx", "Back2Life", "CatalogMaker", "CloudWFX", "DiskInternals Reader", "GifWcx", "SFTPPlugin" and much more...
* New: Hexadecimal checksum values are now supported beside decimal ones too
* New: Update list right-click popup now contains "Send to IDM" menu item
* New: Hotkey support Ctrl + Shift + D - download selected files using IDM
* New: You can press ESC to turn the active search filtering off (just like in TC)
* Change: updated Indy to the latest available (10.6.0.5051) version
* Change: significantly improved version compare algorithm (especially when comparing TC versions)
* Change: show Total Updater's current instance in a separate category along its IPD & checksum database data
* Change: replaced old-style directory selector to the new one (in case the OS is earlier than Vista)
* Change: added new translation strings to the ENG language file
* Change: some additional code cleanups & optimizations
* Change: added 19 new items to the Internal Plugin Database
* Change: added 7 new items to the checksum database
* Fixed: a case when the utility could falsely show TC as updatable if the "Production Environment" option is checked in the Configuration
* Fixed: downloading Total Commander did not work when its main executable was manually renamed to something other than "TOTALCMD.exe" or "TOTALCMD64.exe"
* Fixed: updater catched the latest stable version's URL instead of BETA, even if it was found & detected as updatable (regexp/multiline error)
* Fixed: try to convert the old-format IE proxy parameters to the one being used from TU 0.8 Beta 1 automatically
* Fixed: the application failed to show the proxy configuration error on "Search for updates" in case the strings format were uncorrect
* Fixed: changed the method of detecting "wdx_mediainfo" plugin (read FileVersion of "MediaInfo.dll" instead of "mediainfo.wdx")
* Fixed: a problem that could cause the date format used by TU revert itself to system default after the user changes it inside Windows
* Fixed: a bug that caused incorrect right click popup caption showing "Modify UserDB entry" instead of "Modify database entry"
* Fixed: proper handling of clicking on Infobox buttons showing the information of a plugin in the list (in case theres no selection in the "UserDB" tab)
* Fixed: do not jump to the first item of the list after the search window has been deactivated in case a selection can already be found
* Fixed: broken download string when modifying directory on first start of the utility in the download dialog
* Fixed: do not allow to exclude the current instance of Total Updater & its addons
* Fixed: saving of "upluginfo.ini" (online package names) accidentally got broken in Beta 2
* Fixed: scaling has been turned off temporary to fix the DPI problems
* Fixed: a lots of other issues...

[28-08-2013] Total Updater 0.8 Beta 2
* New: Updated Danish language (thanks to petermad)
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated German language (thanks to Gerby)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: Updated Slovak language (thanks to umbra)
* New: Updated Ukrainian language (thanks to Pavlo Dergunov (LonerD))
* Change: updated Indy to the latest available (10.6.0.5049) version
* Change: some more refinements of the latest online TC version query module
* Change: use the official ghisler.com server to download Total Commander package(s) from
* Change: from now on you can double click on a finished download inside the Download dialog to run / open it inside TC (or Explorer, in case TC is not running)
* Change: implemented a new proper method to catch the installed "QuickSearch Extended" version number (as its dll isn't updated regularly)
* Change: show the real package name in the download dialog by default before the actual filename is retrieved
* Change: from now on the ID (filename) field is also editable when modifying an existing UserDB item
* Change: the description below the main logo is now a localized string for each language
* Change: added 6 new items to the Internal Plugin Database
* Change: added 5 new items to the checksum database & removed tcmatch.dll's entry (no more needed because of the new method)
* Fixed: detection of Total Commander 8.50 BETA 1+ (unless the previous ones, its executable doesn't have any version information embedded)
* Fixed: an issue that could mess up item indexing when excluding items (files) from the plugin list
* Fixed: incorrect recognization of some plugins categorized as MultiArc (e.g. ConPaste)
* Fixed: faulty detection of online plugin dates in case of missing leading zeros (e.g. 3.8.2009)
* Fixed: get the correct size of a package when POST is needed before dl action to get the actual file
* Fixed: latest plugin information cannot be requested if there is only one item in the list (TC is disabled)
* Fixed: an Access Violation on closing the search box in case there are no items in the plugin list
* Fixed: confirmation dialog did show up anyway even if there were no items selected in the UserDB tab when pressing DEL
* Fixed: it wasn't possible to click on Author URL from the right click popup menu of Download dialog, even if it was correctly filled
* Fixed: it wasn't possible to filter the list again after all the items have already been filtered out of it
* Fixed: show download cancel confirmation dialog when clicking on form Close [X] button
* Fixed: the buttons inside Infobox are now working even if the selected tab is not the "Update" one
* Fixed: many potential issues regarding incorrect handle of TC filename got from its current wnd handle

[14-06-2013] Total Updater 0.8 Beta 1
* New: Hotkey support Ctrl + S - search / filter the list of plugins
* New: Automatically try to get the system proxy on first start & apply it for the application
* New: Support downloading over SSL: you simply need to put "libeay32.dll" and "ssleay32.dll" files to the utility's directory
  [http://indy.fulgan.com/SSL - just choose the latest (x86/x64 package) and unzip the two files mentioned above to TU's directory]
* New: TU is now capable of downloading files from totalcmd.pl server ("DirectLink" needs to be filled properly with its ID)
* New: From now on you can set e.g. "$12" value as DirectLink ($ = totalcmd.pl package IDentifier, 12 = VirtualDisk)
* New: Send links to a download manager (currently supports IDM) instead of using the built-in downloader
* Change: updated Indy to the latest available (10.6.0.5011) version
* Change: the EWB component has been dropped from the project, now it uses IdHttp to catch all data
* Change: using more flexible & complex regexp match to find current Total Commander version number
* Change: sort the items by their filename/online package name (instead of path) on start of the utility
* Change: from now on you can switch language without reloading the whole plugin list
* Change: replaced all previous totalcmd.pl absolute URI's to its appropriate "$ID" version
* Change: from now on the Infobox dialog can be closed from any tab by pressing Ctrl + Q
* Change: removed the ini setting "UseProxyOnlyForDL" as the software no longer relies on IE core
* Change: code cleanups & optimizations, removed obsolete units
* Change: added new translation strings to the ENG language file
* Fixed: no more hangs when one of the hosts can not be found (timeout wasn't properly set)
* Fixed: block requesting another plugin's information when a query is already in progress
* Fixed: an Access Violation when clicking on any of the buttons inside the Infobox if the selection is lost
* Fixed: the Infobox tried to query each item's data when selecting a group header (it caused slow refreshing)
* Fixed: unicode encoding problem on the Addon Info dialog (only the description field was affected)
* Fixed: expanding environment variables right when adding full paths to the exclusion list
* Fixed: watch only for wmRead action when updating the progress bar state on downloading file
* Fixed: the Author homepage always opened twice by choosing it from the popup menu
* Fixed: close & start button state could become disabled/enabled in some special cases when downloading is still active
* Fixed: vertical position of the Download dialog's right click popupmenu on first start (with clean ini)
* Fixed: the Ctrl + A hotkey was not working correctly for the Download path edit box on Configuration tab
* Fixed: a lot of other issues

[03-06-2013] Total Updater 0.7.7
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* Change: added 45 new items to the Internal Plugin Database
* Change: added 13 new items to the checksum database
* Change: startup speed has been enhanced (runtime form creation, code optimization)
* Change: improved & much faster retrieve of online package names (feature introduced in 0.7.5)
* Fixed: an Access Violation error in case neither "TOTALCMD.exe" nor "TOTALCMD64.exe" exists in the main TC folder
* Fixed: save the corrected version number not just on "Search for updates" but when pressing F2 key (or choosing "Refresh")
* Fixed: possible inappropriate Addon Info dialog caption in case the plugin list selection lost focus
* Fixed: incorrect action when pressing Ctrl + A hotkey if focus is on the UserDB tab's listview
 
[23-05-2013] Total Updater 0.7.6
* New: Slovak language support (thanks to umbra)
* New: Add Total Updater's current instance to the plugins list (if it doesn't exists yet) and always check update for itself
* New: Auto-correct the local version of a given plugin to the online one in case the date (PE/filetime) matches the online package's one (optional - works if "UpdateDateCheck=True" and "VerCorrOnDateMatch=True")
* New: Save the corrected version number along the appropriate checksum to the [OverridePlugVer] section of "TotalUpdater.ini" on-the-fly
* New: Added a new right click popup menu item "Google search" (you can set the search provider in the configuration file, see the instructions below)
* New: Hotkey support Ctrl + Shift + C - copy the selected plugin list items debug information to the clipboard
* New: Hotkey support Ctrl + G - generate checksum entries in ini-like structure for the selected items & copy to clipboard
* New: You can manually set [Plugins] VerCorrOnDateMatch=False if you'd like to disable the new local - online date comparison-based version autocorrection function
* New: You can manually set [Configuration] SearchEngine=http://mysearchprovider.com/search?q=%s to change the default Google search engine to anything else
* Change: added 43 new items to the Internal Plugin Database
* Change: added 8 new items to the checksum database (thanks to brahman)
* Change: some refinement of the intelligent version detection: do not handle "6.50" as real plugin version, use date in such case instead (most often its incorrect and refers to TC milestone 6.50+)
* Change: do not save 0 byte plugin name information ("upluginfo.ini") file (when no item exists in the online database / search hasn't been started yet)
* Change: switch focus to "Download the marked items" when the searching of updates has already been finished & the user marks some items in the list
* Change: get the online package identifier (if available) when saving a new item to the UserDB & automatically fill the WebID field using it
* Change: resize the path input boxes of the Configuration tab on resizing the main window
* Change: do not switch to UserDB tab when adding a new item from the plugins list
* Fixed: showing "x64" in the name of the given plugins was broken since the previous version (when "Load all files from the plugins directory (not just the installed ones)" radiobutton was selected)
* Fixed: online package detection algorithm could detect improper packages in rare situations when more similar names can be found (rpm_wdx <> rpm_wdx_64)
* Fixed: sometimes the online package name wasn't properly loaded from the "upluginfo.ini" file on start of the utility
* Fixed: the "Load the list of plugins from a manually given file" selector (Browse...) wasn't working correctly
* Fixed: small problems regarding saving of "userdb.ini" file

[07-05-2013] Total Updater 0.7.5
* New: Automatically show the plugins online package name in the list after searching for updates (if its not disabled in the configuration file)
* New: Always save the newly queried package names to an ini file beside the actual TotalUpdater.ini & read the appropriate name directly from this file if it exists
* New: You can manually set [Plugins] OnlineNameCorr=False if you'd like to disable the new function which retrieves & shows the online name of a package in the list
* Change: added 12 new items to the Internal Plugin Database (thanks to krasusczak)
* Change: added 43 new items to the checksum database & updated some existing (thanks to krasusczak & Trast)
* Change: improved online package detection algorithm (more file's matching package are found online without existing DB entry)
* Change: show the plugins online package name (instead of productname / filename) in the Addon Information dialog's caption when double-clicking on an item
* Fixed: the main Total Commander executable was sometimes improperly detected when the utility has been started from TC
* Fixed: appropriate proxy was not applied correctly when querying infos of an item (to be able to show its Addon Info dialog)
* Fixed: a bug which could cause empty local version if "Autohide plugins without any version info from the list" option was unchecked
* Fixed: potential error (list index out of bounds) in case an items online data contains ' special character
* Fixed: the "HTTPPlugin" utility (its "dll" file) is now correctly recognized & loaded into the list of plugins
* Fixed: mixed Internal Plugin Database identifiers (NTFS4TC <> NTFSFileStreams)
* Fixed: vertical position of the Download dialog's right click popupmenu
* Fixed: some other problems

[12-04-2013] Total Updater 0.7.4
* New: Updated Czech language (thanks to jvh)
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated Italian language (thanks to Luciano & Massimo Mula)
* Change: enhanced intelligent version detection: added "*version*" file(s) to search & check for version information
* Change: ability to resize the plugin (update) list's columns width (the custom values are going to be saved on quit & reloaded on start)
* Change: from now on if you press Ctrl + R the app is going to switch to the Update tab (F5 remains the same, refreshes the list without changing tab)
* Change: added 30 new items to the Internal Plugin Database
* Change: added 24 new items to the checksum database
* Fixed: rare case of improperly refreshed local plugin versions when pressing F2 key (or right click -> Refresh item)
* Fixed: the utility showed "32.12.1899" as version after refreshing a given item with invalid PE compile date information
* Fixed: there were cases when an item's name was cut off incorrectly on reading the PE files "ProductName" field
* Fixed: a possible problem that could cause the "%totalcmd%\plugins" dir content to be loaded to the external tool list (if any executable found)
* Fixed: controls on Configuration & UserDB tabs are resized as well when changing window size
* Fixed: no more blinking progress bar when reloading the plugin list

[29-03-2013] Total Updater 0.7.3
* New: French language support (thanks to TieFighter)
* New: Italian language support (thanks to Luciano)
* New: Updated Danish language (thanks to petermad)
* New: Updated German language (thanks to Gerby)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: Updated Swedish language (thanks to Trast)
* New: You can manually set [Configuration] UseProxyOnlyForDL=True if you'd like to use IE's settings for the update query ("Search updates") function
* Change: automatically ignore some irrelevant items from the list (like "uninst000.exe", "uninstall.exe" etc)
* Change: from now on the "Internal Plugin Database" dialog is fully resizable as well
* Change: display a small button next to the "WEB" editbox of the Internal Plugin Database window with which you can open the appropriate totalcmd.net entry in the browser
* Change: added 2 new items to the Internal Plugin Database
* Change: added 10 new items to the checksum database
* Fixed: the "TCFS2Tools" utility (its "dll" file) is now correctly recognized & loaded into the list of plugins
* Fixed: some other minor GUI-related things

[24-03-2013] Total Updater 0.7.2
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: Added new command line parameter "/autostartdl" - by running TU with this parameter, the searching & downloading of updatable items starts automatically
* New: Added hotkey support Alt + Enter, Ctrl + D, Ctrl + Shift + W and Ctrl + Shift + Enter to UserDB dialog too (Edit dialog, Download file, Visit author site, Open regular site [in order])
* New: You can manually set [Plugins] ForceUseOfFN=True if you'd like to see the plugins filename (without extension) in the list instead of their corrected ProductName
* Change: added 18 new items to the Internal Plugin Database [and modified some existing with additional information] (thanks to EricB)
* Change: from now on you can set e.g. "19994" as WebID (treated as "viewtopic.php?t=19994"), or "#241083" (treated as "viewtopic.php?p=241083")
* Change: added "Direct download" button to the Infobox, as well as separate "WebID" button for UserDB tab (it is now more uniform)
* Change: the utility is now capable of recognizing the user-specific download directory on Vista and above
* Change: from now on the user can set the Download directory on the "Configuration" tab of the application
* Change: show the path of the items under downloading / finished dl state in the "Download files..." dialog on hovering them
* Change: improved the online package detection algorithm a bit (some code-cleanup has also been performed as well)
* Change: some additional fixes when reading the PE file's "ProductName" field (remove "wcx_", "wlx_" etc prefixes)
* Change: increased the Infobox window's width a bit, so most of the language files strings now fits correctly
* Fixed: faulty online package detection when an item doesn't exists in Internal Plugin Database & UserDB in rare cases
* Fixed: the "Author homepage" popup item in the Download dialog was working correctly only when an UserDB item was filled for a given entry
* Fixed: popup option "Download" and "Visit online site" was disabled in rare cases when multiple items were selected
* Fixed: always save "userdb.ini" beside the main configuration file "TotalUpdater.ini"
* Fixed: rare cases when some item's actual name in the plugin list may show up incorrectly in the list
* Fixed: the actual Infobox entry may not get properly updated on switching between Update / UserDB tabs
* Fixed: the WebID and some other fields may be improperly loaded when clicking on "UserDB" label inside Infobox
* Fixed: tooltips were incorrect for the download buttons inside the Infobox
* Fixed: some other bugs & GUI-related things

[19-03-2013] Total Updater 0.7.1
* New: Added new command line parameter "/autostart" - by running TU with this parameter, the searching of updates starts automatically
* New: Added new command line parameter "/i=c:\path\to\wincmd.ini" - from now on you can also set Total Commander's ini path manually
* New: You can simply press Right arrow key (->) to jump to the next updatable item in the list (if any exists)
* New: You can simply press Left arrow key (<-) to jump to the previous updatable item in the list (if any exists)
* New: Ability to use Information box (Ctrl + Q) when browsing items in UserDB
* New: You can manually set [GUI] JumpToFirstUpd=False if you'd like to disable the new feature which makes TU automatically jump to the first updatable item after search
* Change: added 74 new items to the Internal Plugin Database [and modified some existing with additional information] (thanks to EricB & petermad)
* Change: added 4 new items to the checksum database
* Change: rewritten & much more stable version (local & online) compare function
* Change: rewritten date detection routine (works fine both with "dd.mm.yyyy." and "yyyy-mm-dd" etc formats) 
* Change: enhanced intelligent version detection routine (added some extra files to check for, like *history*.en*, or *history*.ru*)
* Change: always try to match executables / dlls filetype with their online one to reduce the number of false detections (like the case with "PuTTY")
* Change: create a "%COMMANDER_PATH%" environment variable for the process if it doesn't exists (fixes problem with portable wincmd.ini files containing envvars)
* Change: jump to the first "Updatable!" item after searching for updates has finished operation (optional - see the [GUI] note above if you'd like to disable it)
* Change: disable the "Confirm updatable items as latest..." popup option in case there are no marked & updatable items in the list (no more auto-reselection)
* Change: added "Decription" editbox, "Author homepage" and "Visit online site" buttons to the Infobox
* Change: make the utility's window foreground after it finished the initialization process
* Change: from now on the "UserDB - New / Edit..." dialogs are resizable as well
* Change: links state (Author / Direct DL) can now be seen on the "UserDB" tab in a separate column
* Change: show "Total Commander" details inside the "Information" dialog (instead of opening it in browser) by double-clicking on it
* Change: download the latest "Total Commander" from totalcmd.net server (choose the correct package [x32/x64] based on the currently installed one)
* Change: reorganized the Internal Plugin Database window & added two extra fields (Direct download & Author homepage)
* Change: read the current item information from UserDB if they exists & show them on Infobox
* Change: auto-resize the UserDB columns too on resizing the main form of the application
* Change: some additional code cleanups
* Fixed: date detection issue when online version is represented as a "yyyy.mm.dd" format date (e.g. the case with "DarkCrypt IV")
* Fixed: the utility wasn't able to correctly refresh (F2) plugins version which contained a date instead of a "real" version number
* Fixed: download problem with sourceforge links (e.g. it is now possible to download the "SynWrite" package)
* Fixed: delete incomplete file(s) from the disk after the download process has been cancelled (and closed)
* Fixed: do not allow to change download directory until the actual downloads are finished (or cancelled)
* Fixed: the number of marked items didn't get updated by pressing Space in the plugin list
* Fixed: a bug was making it available for the user to confirm items as latest which were in fact wasn't even showed as "Updatable!"
* Fixed: the "Visit online site" popup menu item kept being enabled in case the "Direct download" was filled for the entry
* Fixed: excluding a single directory / multiple directories wasn't working correctly
* Fixed: other minor bugs

[08-03-2013] Total Updater 0.7 Beta 9
* New: Updated Spanish language (thanks to Patxiku)
* New: Add plugins to the list based on PE TimeDateStamp / last modification date if no other version information exists (experimental)
  [Note: PubDateDiffCorr & UpdateDateCheck keys in TotalUpdater.ini are currently not being considered for these cases]
* New: You can manually set [Plugins] TreatDateAsVer=False to disable the new function above, so the utility will strictly accept the plugins with existing verinfo (the old way)
* Change: allow only one instance of Total Updater by default & activate (bring forward) its window if its running
* Change: save the paths with environment variables to the [ExceptionList] section if %COMMANDER_PATH% is available
* Change: save the paths with environment variables to the [OverridePlugVer] section if %COMMANDER_PATH% is available
* Change: autocheck on start if the previously set download directory still exists or not, and try to search new one if its unavailable
* Change: never save TOTALCMD / TOTALCMD64.exe into the [OverridePlugVer] section (overriding TC's local version is not permitted)
* Change: the UserDB now allows to modify/save an entry if the "WEB" field is not set but at least one of the "Author site" / "Direct link" is filled
* Change: automatically show "Author site" option in the plugin list's right-click popup menu if its filled in IPD / UserDB
* Change: from now on lower/uppercase/etc "True" / "False" values in TotalUpdater.ini are also handled properly
* Change: added 3 new items to the Internal Plugin Database
* Change: added 1 new item to the checksum database
* Fixed: a rare problem which may cause incorrectly set default download directory in specific cases
* Fixed: a bug related to refreshing plugins local version (F2 key) which sometimes led to inappropriate update of certain plugins state
* Fixed: unhandled exception on download when the given download directory doesn't exists / is not writable
* Fixed: some UserDB-related issues & state of UserDB after saving an entry in IPD

[06-03-2013] Total Updater 0.7 Beta 8
* New: Updated Chinese Simplified language support (thanks to FeiXJ)
* New: Updated Czech language (thanks to jvh)
* New: Updated Danish language (thanks to petermad)
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Updated German language (thanks to Gerby)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: Updated Polish language (thanks to Maciej Bojakowski)
* New: Updated Russian language (thanks to Dmitriy Vasilyev)
* New: Hotkey support Ctrl + Shift + Enter - visit the current item's website if it exists
* New: Hotkey support Ctrl + Shift + W - visit the current item author's website if it exists
* New: Hotkey support Ctrl + Num+ - mark (tick) all the selected items in the list
* New: Hotkey support Ctrl + Num- - unmark (untick) all the selected items in the list
* New: Hotkey support Ctrl + Up - jump to the currently selected item(s) by opening new tab (redirected to TC)
* New: Added optional extra fields to the UserDB "Modify" / "Add new" dialog (Direct download, Author homepage)
* New: Added right-click popup menu to "Download file..." dialog (with options Author homepage [if its filled in uDB] & DirectLink) 
* New: You can simply press Ctrl + C in the "Download file..." dialog to copy the selected items direct url to the clipboard
* New: You can manually set [Configuration] UseIniInTCDir=True (or 1), with which the config file will be saved beside wincmd.ini
* New: You can manually set [Plugins] ChecksumDBstate=0/1/2 to disable/enable/enable (force using of) the checksum database [default: 2]
* Change: added 15 new items to the checksum database (thanks to EricB)
* Change: show "Unknown." instead of "OK." state on start of the utility
* Change: some more improvements of the online version detection algorithm
* Change: additional enhancements regarding the "Jump to the file" function
* Change: special flags are back in use again (navNoHistory, navNoReadFromCache)
* Change: from now on the "Download file..." dialog is fully resizable as well
* Change: from now on the columns are sortable in the "Download file..." dialog after the finish / abort of download task
* Change: the user is now able to minimize the whole application while the downloading process is running
* Change: from now on Ctrl + A hotkey is supported in the download dialog too
* Change: allowing multiple selection in the "Download file..." dialog
* Change: modified "Update marked items" to "Download marked items" to avoid misunderstandings until the feature is ready
* Change: changed some other language strings (like Update / Status) in the top of the list (it is more flexible this way)
* Change: added extra hint to Download dialog for erroneous items (just hover on failed downloads)
* Change: show a dialog in case no internet connection available / invalid proxy settings has been set (or its unset)
* Change: much quicker refresh of the local plugin versions (F2 hotkey) when all item is selected (Ctrl + A)
* Change: no more flickering of the Update tab on refreshing large amount of items (from now on its DoubleBuffered)
* Change: open sFTP plugin (and in the future some other plugins too) homepage on ghisler.ch forum & added download link
* Change: the utility tries to create a directory inside current user's AppData if its main directory is not writable
* Change: implemented some extra ways to detect the user's default download directory
* Change: optimized "Addon Info" dialog's automatical height (description & history)
* Change: from that time Total Commander's database state can also be seen in the Infobox
* Change: added 1 new item to the Internal Plugin Database
* Fixed: date conversion problems with some countries format settings (now utility forces to use "dd.mm.yyyy" format when comparing)
* Fixed: faulty loading of plugins if RedirectSection is set to a single filename and that exact file exists in TU's directory
* Fixed: rare case when the utility opened the list as file instead of loading it (thanks to Flint for his server-side enhancements)
* Fixed: content of the Addon information dialog looks messed up cause of recent server-side changes
* Fixed: filenames with extensions in database (IPD/UDB) are not being considered when downloading items
* Fixed: list index out of bounds error & messed-up list after sorting UserDB entry then modifying and saving an item
* Fixed: some other critical issues regarding UserDB (and some GUI-related bugs, like it forgot its last itemindex after editing)
* Fixed: program crashes if no download directory exists, and theres no rights to create a "Downloads" directory in its own folder
* Fixed: a rare Access Violation error that occurs on double-clicking on items after each other rapidly (plugininfo dialog-related)
* Fixed: a rare Access Violation case on start when no items can be found in the list on start and the Infobox is active
* Fixed: after adding / removing an item to UserDB - with Infobox turned on - the state of the DB entry didn't refresh
* Fixed: the DragAcceptFiles function (UserDB Add / Modify dialog) sometimes wasn't correctly initialized
* Fixed: the Ctrl + Tab / Ctrl + Shift + Tab hotkeys didn't work after reaching the "About" tab
* Fixed: using improved html tag stripper routine (the old one contained several bugs)
* Fixed: recount the number of downloadable items after removing duplicates
* Fixed: some translation strings were not properly loaded
* Fixed: numerous other bugs and GUI-related things

[28-02-2013] Total Updater 0.7 Beta 7
* New: Polish language support (thanks to Maciej Bojakowski)
* New: Ukrainian language support (thanks to Pavlo Dergunov (LonerD))
* New: Updated Dutch language (thanks to Jaap Kramer)
* New: Alternative checksum method to get local fileversions in some cases when absolutely no verinfo exists (no readme, history etc)
  [thanks to EricB for the database additions & initial idea]
* New: Added taskbar download progress indicator for Download dialog (available on Windows 7 and newer)
* New: Added the possibility to save items with file extension into the UserDB (though its only recommended in false detection cases)
* New: Hotkey support Ctrl + PageDown - jump to the currently selected item(s) (redirected to Total Commander)
* New: Hotkey support Ctrl + Z - show the Internal Plugin Database / add the current item to UserDB
* New: Hotkey support Ctrl + X - exclude the selected file(s) from the list
* New: Hotkey support Ctrl + D - download the currently selected file(s)
* New: Hotkey support Ctrl + Q - show / hide the Infobox panel
* New: Hotkey support Alt + Enter - open the addon information dialog 
* New: Hotkey support F2 - reload (refresh) the version information of the selected local file(s)
* Change: try to read TimeDateStamp from PE files header on date compare, and fall back to the original method in case its not valid
* Change: additional improvements of the online version / date detection & comparison algorithm
* Change: rewrote wincmd.ini path catcher routine (now it should handle the most special cases too)
* Change: added the appropriate "Codepage" key to all embedded language files to detect & show them correctly
* Change: from now on every language string can be seen in the correct Unicode format regardless of system settings
* Change: languages in the selector popup are now in ascending order & their visual display is a bit more pretty
* Change: always try to align the application in center of the active TC instance (if the position hasn't been saved)
* Change: significantly improved "Jump to the file" option (especially when multiple items are selected)
* Change: from now on you can press ESC key in the download dialog to abort the process
* Change: increased the minimal (and default) window height by a few pixels
* Change: added 21 new items to the Internal Plugin Database
* Fixed: potential crash/hang on "Jump to the file" if TC is in tray icon mode (when the main window is hidden)
* Fixed: infinite loop on "Jump to the file" in case there are files in the selection which are on other drive
* Fixed: strip Unicode chars from strings in all cases when catching versioninfo using intelligent version detection
* Fixed: the Unicode letters in the language selector popup could show up incorrectly
* Fixed: the "DirectLink" key in userdb.ini may not work under certain circumstances
* Fixed: an Access Violation error that occurs when excluding multiple directories
* Fixed: saving & loading of [Plugins] IntelliDetect key was not working properly
* Fixed: disabling every kind of popup links on all pages & other enhancements
* Fixed: always force to open every dialog in center of the parent window
* Fixed: remove duplicate links from the download list
* Fixed: blinking of Infobox on show after startup
* Fixed: some possible memory leak problems

[21-02-2013] Total Updater 0.7 Beta 6
* New: Chinese Simplified language support (thanks to FeiXJ)
* New: Updated Lithuanian language (thanks to Dalius Guşauskas (Tichij))
* New: You can manually set [PluginsFileName] DirectLink=http://dowload.it.com/myfile.zip in userdb.ini for any entry
* Change: from now on its also possible to download the latest Total Commander version (x32+x64 package)
* Fixed: downloading plugins using proxy is working now (set parameters in TotalUpdater.ini [Configuration] section)
* Fixed: querying latest versions of plugins also works with proxy set in the ini (regardless of IE's settings)
* Fixed: main form repositions itself to the initial state on refreshing list (if the position has been saved previously)
* Fixed: minimizing and then restoring the utility causes to 'forget' its last window size
* Fixed: other minor bugfixes & code tweaks

[19-02-2013] Total Updater 0.7 Beta 5
* New: You can manually set [Plugins] SecondaryPlgDir=c:\path\to\tcaddons to give external directories exact path 
* New: You can manually set [Plugins] ForceSecondary=True if you'd like to use the given secondary path exclusively
* Change: show "Save in UserDB" in the right-click popup menu in case Internal Plugin Database entry doesn't exists
* Change: the Infobox shows the current state of the actual item by checking it in the UserDB & Internal DB
* Change: added 5 new items to the Internal Plugin Database
* Fixed: error in case of 16-bit / MS-DOS executables (mainly the "Other addons" section is affected)
* Fixed: try to process already expanded envvars inside [OverridePlugVer] configuration section too
* Fixed: basic function fixes regarding the UserDB function (infodialog, visit site & downloading are working now)
* Fixed: the Infobox fails to load the appropriate language after changing LNG runtime
* Fixed: minor language & GUI related things

[17-02-2013] Total Updater 0.7 Beta 4
* New: Dutch language support (thanks to Jaap Kramer)
* New: Lithuanian language support (thanks to Dalius Guşauskas (Tichij))
* New: Spanish language support (thanks to Patxiku)
* New: Swedish language support (thanks to Trast)
* New: Updated Czech language (thanks to jvh)
* New: Updated Danish language (thanks to petermad)
* New: Updated German language (thanks to Gerby)
* New: UserDB function is now fully implemented (an item in it overrides the internalDB section's same item)
* New: Add new items to the UserDB by drag & drop (click on "New item" on UserDB tab, and drag an item into the wnd)
* New: New popup item "Marked items" (Unmark all / Reselect updatable / Mark all / Invert marks)
* New: You can click on "Marked items" / "Confirm updatable item(s) as latest" to avoid false alarms
* New: Added a language selector on the main form (right corner of the GUI)
* New: Added a directory selector to the "Download file(s)..." dialog
* New: Added "Filename" field to Infobox (click on it to jump to the file)
* New: Show currently used wincmd.ini's path on hover in the Configuration tab/Detect[...] radiobutton
* New: Form position is saved by holding CTRL key while clicking on close button
* New: Hotkey support Ctrl + C - copy the selected items information to the clipboard from the list
* New: You can manually set [GUI] AllowResize=False to disable resizing of main form
* Change: improved & more stable local version detection algorithm (VersionInfo structure parser)
* Change: extra check of the actual plugins & addons if they are valid PE files or not
* Change: intelligent version detection now always tries to find verinfo in the latest modified files
* Change: compare both local PE FileVersion structure with each other, and use the highest value
* Change: using TMemIniFile on loading & saving configuration (the app starts & closes faster)
* Change: the "TotalUpdater.ini" configuration file became more readable to human eye
* Change: from now on the main form of the application is fully resizable
* Change: save the size of the form on closing the application & load it on start
* Change: added some alternative methods to detect totalcmd.exe & wincmd.ini files path
* Change: some new icons for the main form's default right-click Popup menu
* Change: removed XPManifest from the whole project & replaced with a convenient one
* Change: columns on the top of the Update list are not clickable anymore
* Change: some minor improvements of the download routine
* Change: the Exception list supports Ctrl + A (Select All) hotkey
* Change: modified "iso" plugin's WEBID to "iso64" (latest available package)
* Change: added 3 new items to the Internal Plugin Database
* Fixed: missing "Translation" table in PE files could cause unproperly handled exceptions
* Fixed: an Access Violation error in case all item (incl. TC) has been excluded from the list
* Fixed: support of "UseIniInProgramDir" variable if it has previously been set in wincmd.ini
* Fixed: now the "DownloadDir" containing envvars is being saved in its original unexpanded format
* Fixed: the utility tries to get the user's default download directory and uses %TEMP% if all method fails
* Fixed: ini setting "PrcMsgOnLoad=False" causing AV in case "Search for updates" is pressed while loading the list
* Fixed: incorrect LNGID on About tab in case "TotalUpdater.lng" exists in program directory
* Fixed: some other GUI-related things and minor bugs

[10-02-2013] Total Updater 0.7 Beta 3
* New: Czech language support (thanks to jvh)
* New: Danish language support (thanks to petermad)
* New: German language support (thanks to Gerby)
* New: Russian language support (thanks to Dmitriy Vasilyev)
* New: Added "Translator" field on the About tab
* Change: minor improvements of the online version detection algorithm
* Change: added missing language strings for the file selection dialog
* Change: remove unnecessary characters from the found local version (using intelligent detection function)
* Change: ini file's [Language] CurrentLng is no longer case-sensitive (dan, deu, hun is acceptable as well)
* Change: scroll down to the bottom of Exception list when switching to UserDB tab (when theres no selection)
* Change: msgbox when clicking on "Cancel" on the "Download file(s)..." form asking the user for confirmation
* Change: modify "OK" button state to enabled after the user has aborted dowloading
* Change: added 22 new items to the Internal Plugin Database
* Fixed: from now on the RedirectSection variables containing envvars are automatically expanded
* Fixed: handle cases of RedirectSection vars with a single filename (without path)
* Fixed: ini configuration value "DownloadDir" envvars (if exists) are expanded too
* Fixed: excluding directories (given in the Exception list) is now properly implemented
* Fixed: the Infobox shows incorrect extension type in case of uppercase file extension
* Fixed: faulty functioning of "Load the list of plugins from a manually given file" option
* Fixed: multi-monitor issue (application shows in the center of two / more monitors)
* Fixed: improved abortion of download in case more files are in the list
* Fixed: some minor language-related bug (improperly loaded strings)

[08-02-2013] Total Updater 0.7 Beta 2
* New: Show current file path as hint on hover in the plugin list
* Change: removed special flags (like navNoHistory) for testing purposes
* Change: improved 64-bit Total Commander detection
* Change: added contact email to the About form (mouseover hint on developer name)
* Fixed: the utility now successfully expands environment variables in plugin paths
* Fixed: bug when only TOTALCMD64.exe exists in the main folder of Total Commander

[08-02-2013] Total Updater 0.7 Beta 1
* First Public version